#
# spec file for package afterstp (Version 1.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         afterstp
Release:      11
Copyright:    1988 Evans Copyright:  Sutherland Computer Corporation, 1989 Massachusetts Institute of Technology,1994 Robert Nation, 1996 by Beat Christen
Group: 
Provides:     AfterStep 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.0
Summary:      NeXTStep-like window manager
Source: AfterStep-1.0.tar.gz
Patch: AfterStep-1.0.dif
%description
This window manager follows the tradition of NeXTStep. The functionality
of the bowman window manager was enhanced with some configuration options.
As well, there are shadowed menus, the button-bar Wharf, animated windows,
a proper sound support, and many more features.
It should be started with a color depth of at least 16 bits!
Documentation: 
/usr/doc/packages/afterstp 

Authors:
--------
    Frank Fejes <frank@ssax.com>
    Dan Weeks <dan@mango.sfasu.edu>
    Jonathan B. Leffert <jonl@geom.umn.edu>
    Bo Yang <eric@coeus.ucsd.edu>
    Alfredo Kengi Kojima
    Rob Nation
    Dave Adkins
    Beat Christen
    Robert Depenbrock
    Amadeus Foudray
    Martin Scherbaum <maddin@suse.de>

%prep
%setup -n AfterStep-1.0
%patch
./MakeMakefiles
%build
make
%install
make -f Makefile.Linux install
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/lib/X11/afterstep
%dir /usr/X11R6/lib/X11/afterstep/backgrounds
%dir /usr/doc/packages/afterstp
/usr/X11R6/bin/afterstep
/usr/X11R6/lib/X11/afterstep/Animate
/usr/X11R6/lib/X11/afterstep/Audio
/usr/X11R6/lib/X11/afterstep/Auto
/usr/X11R6/lib/X11/afterstep/Banner
/usr/X11R6/lib/X11/afterstep/Pager
/usr/X11R6/lib/X11/afterstep/Wharf
/usr/X11R6/lib/X11/afterstep/backgrounds/bark.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/brick.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/carpet.green.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/coins.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/darkwood.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/eyes.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/glass.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/parquet.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/pebbles.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/rock.tile.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/rope.weave.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/stucco.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/tile.check.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/volcanic.jpg
/usr/X11R6/lib/X11/afterstep/backgrounds/wood.jpg
/usr/X11R6/lib/X11/afterstep/system.steprc
/usr/X11R6/lib/libafterstep.a
%doc /usr/X11R6/man/man1/Animate.1x.gz
%doc /usr/X11R6/man/man1/Audio.1x.gz
%doc /usr/X11R6/man/man1/Auto.1x.gz
%doc /usr/X11R6/man/man1/Banner.1x.gz
%doc /usr/X11R6/man/man1/Pager.1x.gz
%doc /usr/X11R6/man/man1/Wharf.1x.gz
%doc /usr/X11R6/man/man1/afterstep.1x.gz
%doc /usr/doc/packages/afterstp/CHANGES
%doc /usr/doc/packages/afterstp/CREDITS
%doc /usr/doc/packages/afterstp/FAQ
%doc /usr/doc/packages/afterstp/INSTALL
%doc /usr/doc/packages/afterstp/README
%doc /usr/doc/packages/afterstp/README.8bit
%doc /usr/doc/packages/afterstp/README.SuSE
%doc /usr/doc/packages/afterstp/Xdefaults
%doc /usr/doc/packages/afterstp/module-interface.txt
%doc /usr/doc/packages/afterstp/sample.steprc
%doc /usr/doc/packages/afterstp/system.steprc
%doc /usr/doc/packages/afterstp/version.h
%doc /usr/doc/packages/afterstp/xinitrc
%doc /usr/doc/packages/afterstp/xsession

